Subject: Re: [tcpm] Re: [tsv-dir] TAKE TWO: Unified ICMP processing: A straw man

From: Joe Touch <[email-masked]>
Date: Wed, 06 Dec 2006 20:30:53 -0800

Mark Allman wrote:
> [TCPM WG co-chair hat ON.]
...
> Currently, the TCPM WG has decided to take on two work items in this
> space.  The soft errors document is intended to be an informational
> accounting of how TCP stacks currently handle ICMPs in terms of changing
> the so-called 'hard errors' into 'soft errors'.  The ICMP attacks
> document is informational and is focused on what TCP stacks do to
> validate incoming ICMPs.
...
> Further, I read Matt's proposal as saying we should forget these
> documents.  At least the attack document since he calls out two of the
> items from that document as possible quick stand-alone documents
> (depricating SQ and sequence number checking).  Maybe this is a
> mis-read.  But, correcting that would be answering the real question... 

Deprecating SQ is fine.

Seq num checking needs a real determination of what a valid range
_should_ be, not just picking one that TCP happens to have at its disposal.

Joe

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm